+ Reply to Thread
Results 1 to 6 of 6
  1. #1
    Forum Newbie
    Using
    AutoCAD 2007
    Join Date
    Sep 2008
    Posts
    2

    Default How to measure distances

    Hi, I'm drawing a warehouse in 2d. It's really simple: just a rectangle with squares (representing the shelves). My question is: given a few points inside the warehouse (let's say 20 points), how can I get a matrix or something, that gives me the shortest (but posible) distance between every point? I say posible because I dont want to have the euclidean distances, but the real distances that represent the path that a person can walk ?


    Thanks a lot!

    Andres

  2. #2
    Super Member papagyi's Avatar
    Computer Details
    papagyi's Computer Details
    Operating System:
    window vista (home premium)
    Using
    AutoCAD 2009
    Join Date
    Apr 2008
    Location
    Myanmar
    Posts
    518

    Drawing

    Type in command line in "ddptypes" and choose for proper point style.Then you can draw with "point" command and you can use copy or array as you need.Next you will be check os snap setting for "node".Finally you can measure between two points with linear dimension or distance.
    Let share our knowledge!One good image is better than a thousand of words.
    http://papagyi20477.blogspot.com/

  3. #3
    Super Member nocturne00's Avatar
    Computer Details
    nocturne00's Computer Details
    Operating System:
    Windows Vista SP2
    Computer:
    Dell Studio XPS
    CPU:
    Intel(R) Core(TM)2 Duo CPU P8600
    RAM:
    4GB DDR3 RAM
    Graphics:
    ATI Radeon, 512MB
    Monitor:
    22" Samsung
    Using
    AutoCAD 2009
    Join Date
    Jun 2008
    Location
    Tartarus
    Posts
    765

    Default

    Quote Originally Posted by aberrio View Post
    Hi, I'm drawing a warehouse in 2d. It's really simple: just a rectangle with squares (representing the shelves). My question is: given a few points inside the warehouse (let's say 20 points), how can I get a matrix or something, that gives me the shortest (but posible) distance between every point? I say posible because I dont want to have the euclidean distances, but the real distances that represent the path that a person can walk ?


    Thanks a lot!

    Andres
    just draw a polyline from start point to end point following a path which you were refering to and use AREA to see the length of the pline, or just look into the object properties under Length
    ....always perform Beyond what is expected.

  4. #4
    Forum Newbie
    Using
    AutoCAD 2007
    Join Date
    Sep 2008
    Posts
    2

    Default

    thank you for your replies... the problem is that i have about 70 nodes (points) inside the warehouse, and i was looking for a way to do this automatically, rather than doing about 2.500 polylines.... (70*70 / 2) .....

    any suggestions?

  5. #5
    Super Member papagyi's Avatar
    Computer Details
    papagyi's Computer Details
    Operating System:
    window vista (home premium)
    Using
    AutoCAD 2009
    Join Date
    Apr 2008
    Location
    Myanmar
    Posts
    518

    Drawing

    Quote Originally Posted by aberrio View Post
    thank you for your replies... the problem is that i have about 70 nodes (points) inside the warehouse, and i was looking for a way to do this automatically, rather than doing about 2.500 polylines.... (70*70 / 2) .....

    any suggestions?
    You should change your point style from format menu--point style and size before you make point.
    Let share our knowledge!One good image is better than a thousand of words.
    http://papagyi20477.blogspot.com/

  6. #6
    Forum Deity
    Using
    Civil 3D 2008
    Join Date
    Sep 2006
    Location
    Pittsburgh, PA, USA
    Posts
    3,581

    Default

    Registered forum members do not see this ad.

    Assuming the aisles are at 0 and 90 degrees.
    Code:
    (defun c:test ()
      (setq pt1 (getpoint "Select start point A: ")
          pt2 (getpoint "Select end point B: " pt1)
        crow (distance pt1 pt2)
        ang (angle pt1 pt2)
        wdist (+ (* (sin ang) crow) (* (cos ang) crow))
        )
      (princ)
     (alert (strcat "The walking distance between Point A & Point B is " (rtos wdist 2 2)))
      )
    Last edited by lpseifert; 15th Sep 2008 at 11:00 pm.

Similar Threads

  1. List Bearing Distances-with extra setting
    By jason tay in forum AutoLISP, Visual LISP & DCL
    Replies: 14
    Last Post: 22nd Apr 2009, 11:36 pm
  2. Measuring distances
    By myself in forum AutoCAD General
    Replies: 17
    Last Post: 12th Sep 2008, 05:01 pm
  3. Offset multiple times, Different distances
    By Safram in forum AutoCAD Drawing Management & Output
    Replies: 9
    Last Post: 26th Jun 2008, 06:59 pm
  4. Trying to show bearings/distances on plat.
    By huntman23 in forum AutoCAD Drawing Management & Output
    Replies: 1
    Last Post: 12th Mar 2006, 11:09 pm
  5. distances in paperspace/ACAD2000
    By easymoney in forum AutoCAD General
    Replies: 1
    Last Post: 30th Jan 2006, 03:41 am

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts